WIT Time Now
WIT is the abbreviation of Western Indonesian Time. Time zone offset of WIT is UTC+07. Western Indonesian Time is 7 hours ahead from the UTC universal time. WIT current date is 2nd Monday November 2026. Current time in WIT (WIT).
WIT Time
21:07:27
2 November 2026 Monday
WIT is the abbreviation of Western Indonesian Time. It is one of three time standards used in Indonesia. Western Indonesian Time is 7 hours ahead from GMT and UTC universal time. It is used in the island of Java (including the cities of Jakarta, Bandung, Semarang, and others), in Sumatra (the cities like Batam, Medan, Palembang, Jambi, and others), and partially in Kalimantan island (the cities like Sampit, Pontianak, and others).
What time is it in Western Indonesian Time now? It is 21:07:27 right now.
Western Indonesian Time Date and Time Now in Various Formats
| Date Time Format | WIT Date Time Now |
|---|---|
| UTC | 2026-11-02T21:07:27Z |
| ISO-8601 | 2026-11-02T21:07:27+0000 |
| RFC 2822 | Mon, 02 Nov 2026 21:07:27 +0000 |
| RFC 850 | Monday, 02-Nov-26 21:07:27 UTC |
| RFC 1036 | Mon, 02 Nov 26 21:07:27 +0000 |
| RFC 1123 | Mon, 02 Nov 2026 21:07:27 +0000 |
| RFC 822 | Mon, 02 Nov 26 21:07:27 +0000 |
| RFC 3339 | 2026-11-02T21:07:27+00:00 |
| ATOM | 2026-11-02T21:07:27+00:00 |
| COOKIE | Monday, 02-Nov-2026 21:07:27 UTC |
| RSS | Mon, 02 Nov 2026 21:07:27 +0000 |
| W3C | 2026-11-02T21:07:27+00:00 |
| Unix Epoch | 1793653647 |
| YYYY-DD-MM HH:MM:SS | 2026-02-11 21:07:27 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-02-11 09:07:27 PM |
| DD-MM-YYYY HH:MM:SS | 02-11-2026 21:07:27 |
| MM-DD-YYYY HH:MM:SS | 11-02-2026 21:07:27 |